package com.jiayue.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ssi.entity.ForecastPowerShortTerm;
import java.util.List;
import java.util.Map;


/**
* 短期接口
* @author xsl
* @date 2023/2/16
*/
public interface ForecastPowerShortTermService extends IService<ForecastPowerShortTerm> {
    /**
     * 按时间段删除数据
     *
     * @param startTime
     * @param endTime
     * @param listDq
     */
    void deleteBetweenAndGenTime(Long startTime, Long endTime, List<ForecastPowerShortTerm> listDq);
    /**
     * 按时间查询实时预测短期
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 结果集
     */
    Map<String, Object> findByForecastTimeBetween(Long startTime, Long endTime);
}
